#!/bin/sh
#
# Part 2 of cleanup view script
# $1 is a temp file pathname

trap 'rm -f /tmp/clnp.$$ ; exit 1' 1 2 3 9 15

TMPFILE="$1"

if [ ! -r $TMPFILE ] ; then
    # something went wrong, command should abort
    exit 1
fi
OPTS="`cat $TMPFILE`"

# run lsprivate - get rid of inaccessible vob entries, "#/vob/ng/..."
# Sort while mtype in first column, then swap columns by using sed.
# Note sed is used to put a space on checkedout files so that they
# sort to the front, sed after sort removes the space.
#
if echo "$OPTS" | grep long >/dev/null ; then
    # long form
    cleartool lsprivate $OPTS | 
	sed -e 's/^\(.*\/CHECKEDOUT from.*\)$/ \1/' \
	    -e 's/^\(.*\[checkedout\].*\)$/ \1/' |
	sort |
	sed -e 's/^ //' |
	sed -e 's/^ //' |
	sed -e 's/  *Rule: .*$//' \
            -e 's/^\([^\/]*\)\(.*\)$/\2 (\1)/' \
            -e 's/ *)$/)/' -e 's/@@/ @@/' -e 's/ /	/' \
	    -e 's/   */ /g'  -e 's/	 /	/' |
	tee /tmp/clnp.$$
else
    # short form
    cleartool lsprivate $OPTS |
	sed -e 's/  */	/' -e 's/^\(.*\[checkedout\].*\)$/ \1/' |
	sort |
	sed -e 's/^ //' |
	tee /tmp/clnp.$$
fi

if grep . /tmp/clnp.$$ >/dev/null ; then
    :
else
# TRANSLATE quoted string after echo command
    echo "vCx[g t@C͂܂B"
fi

rm -f /tmp/clnp.$$ 

exit 0


